<template>
    <form @submit.prevent="handleSubmit()">
        <div>
            <label>
                Name :
                <input class="form-control" v-model="dog.name" type="text" placeholder="Name of the dog" required>
            </label>
        </div>
        <div>
            <label>
                Breed :
                <input class="form-control" v-model="dog.breed" type="text" placeholder="Breed of the dog">
            </label>
        </div>
        <div>
            <label>
                Birthdate :
                <input class="form-control" v-model="dog.birthdate" type="date" placeholder="Birthdate of the dog">
            </label>
        </div>
        <button class="btn btn-primary">Submit</button>
    </form>

    <!-- <div v-if="dog.id">
        <p>The dog has been added. <RouterLink :to="'/dog/'+dog.id">See the dog</RouterLink></p>
    </div> -->
</template>

<script setup lang="ts">
import { postDog } from '@/dog-service';
import type { Dog } from '@/entities';
import { ref } from 'vue';
import { useRouter } from 'vue-router';

const router = useRouter();


const emit = defineEmits<{
    submit: [dog:Dog]
}>();
const {initialDog} = defineProps<{
    initialDog?:Dog
}>();

const dog = ref<Dog>({
    name:'',
    breed:'',
    birthdate:'',
    ...initialDog
});
// Object.assign(dog.value, initialDog)

async function handleSubmit() {
    emit('submit', dog.value);
}

</script>